/* Page setup ====================================================================*/
html {
  scrollbar-width: none;
}

html::-webkit-scrollbar {
  display: none;
}

body {
  margin: 0;
  min-height: 100vh;

  background-color: black;
  color: white;
  text-align: center;
  font-family: Arial, sans-serif;

  overflow-x: hidden;
}

/* content above the background ------------------------------------ */
body > *:not(.pattern-bg) {
  position: relative;
  z-index: 2;
}


/* contact page ===============================================================*/
.contact-page {
  min-height: 100vh;

  display: flex;
  justify-content: center;
  align-items: center;
}

.contact-box {
  max-width: 700px;
  padding: 30px;

  background-color: rgba(255, 80, 255, 0.5);
  border-radius: 30px;
}

.main-img {
  width: 125px;
  border-radius: 100px;
}

/* text ===================================================================*/
h1 {
  font-size: 60px;
  margin: 10px;
}

.cta {
  background-color: rgba(0, 0, 0, 0.65);
  color: white;

  padding: 10px;
  max-width: 400px;
  border-radius: 30px;

  margin: 0 auto 30px auto;
  text-align: center;

  font-size: 20px;
  box-sizing: border-box;
}

.contact-info p {
  font-size: 22px;
  margin: 12px 0;
}

.loc {
  color: white;
  opacity: 0.7;
}

.num {
  color: white;
  opacity: 0.95;
}

.thanks {
  margin-top: 35px;
  font-size: 20px;
  color: #ffd60a;
}

/* Home button  ------------------------------------------*/
.hb {
  display: block;
  background-color: #ff61c8;
  padding: 10px;
  max-width: 100px;
  border-radius: 30px;

  margin: 0 auto;
  text-align: center;

  color: white;
  text-decoration: none;
}
/* background pattern ===============================================================*/
.pattern-bg {
  position: fixed;
  top: 0;
  left: 0;

  width: 100%;
  height: 100vh;

  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-content: center;

  gap: 100px;

  overflow: hidden;
  z-index: 1;

  opacity: 0.5;
  pointer-events: none;
}

.pattern-bg img {
  width: 130px;
  height: 130px;
  object-fit: contain;

  animation: shake-rotate 3s ease-in-out infinite;
}

.pattern-bg img:nth-child(2n) {
  animation-delay: 0.5s;
}

.pattern-bg img:nth-child(3n) {
  animation-delay: 1s;
}

.pattern-bg img:nth-child(4n) {
  animation-duration: 4s;
}

@keyframes shake-rotate {
  0% {
    transform: rotate(-4deg);
  }

  50% {
    transform: rotate(4deg);
  }

  100% {
    transform: rotate(-4deg);
  }
}